libqglviewer2_2.5.3+dfsg-4_amd64.deb


Advertisement

Description

libqglviewer2 - OpenGL 3D viewer library based on Qt - runtime library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libqglviewer2
Package version 2.5.3+dfsg
Package release 4
Package architecture amd64
Package type deb
Installed size 664 B
Download size 210.00 KB
Official Mirror ftp.br.debian.org
libqglviewer (also known as libQGLViewer) is a free C++ library based on Qt
that enables the quick creation of OpenGL 3D viewers. It features a powerful
camera trackball and simple applications simply require an implementation of
the draw() function. It is a tool of choice for OpenGL beginners and
assignements. It provides screenshot saving, mouse manipulated frames, stereo
display, interpolated keyFrames, object selection, and much more. It is fully
customizable and easy to extend to create complex applications, with a
possible Qt GUI.
This package contains the shared library needed to run programs using
QGLViewer. This package contains QGLViewer linked with Qt version 4.

Alternatives

Package Version Architecture Repository
libqglviewer2_2.5.3+dfsg-4_i386.deb 2.5.3+dfsg i386 Debian Main
libqglviewer2 - - -

Requires

Name Value
dpkg >= 1.17.14
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libglu1 -
libglu1-mesa -
libqt4-opengl >= 4:4.8.0~
libqt4-xml >= 4:4.8.0~
libqtcore4 >= 4:4.8.0~
libqtgui4 >= 4:4.8.0~
libstdc++6 >= 4.4.0
multiarch-support -

Download

Type URL
Binary Package libqglviewer2_2.5.3+dfsg-4_amd64.deb
Source Package libqglviewer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqglviewer2 deb package:
    # sudo apt-get install libqglviewer2

Files

Path
/usr/lib/x86_64-linux-gnu/libQGLViewer.so.2
/usr/lib/x86_64-linux-gnu/libQGLViewer.so.2.5
/usr/lib/x86_64-linux-gnu/libQGLViewer.so.2.5.3
/usr/share/doc/libqglviewer2/README
/usr/share/doc/libqglviewer2/changelog.Debian.gz
/usr/share/doc/libqglviewer2/changelog.gz
/usr/share/doc/libqglviewer2/copyright

Changelog

2015-01-17 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.3+dfsg-4) unstable; urgency=medium
* [2a21535] Remove unnecessary dependency on dpkg. 
It is provided by ${misc:Pre-Depends}.
2015-01-17 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.3+dfsg-3) unstable; urgency=medium
* [29d85d1] Add pre-depends for libqglviewer2 on dpkg (>= 1.17.14).
Thanks to Jonathan Wiltshire <jmw@debian.org>.
(Closes: #774866)
2015-01-15 - Sebastian Ramacher <sramacher@debian.org>
libqglviewer (2.5.3+dfsg-2.1) unstable; urgency=medium
* Non-maintainer upload.
* libqglviewer2.maintscript: Handle symlink to directory conversion.
(Closes: #774866)
2014-11-06 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.3+dfsg-2) unstable; urgency=medium
* [457d748] Add Breaks/Replaces for old binary libqglviewer-dev-common.
(Closes: #768207)
2014-09-09 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.3+dfsg-1) unstable; urgency=medium
* [7cfcfbf] Imported Upstream version 2.5.3+dfsg
2014-05-06 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.2+dfsg-1) unstable; urgency=medium
* [bbc42e6] Update copyright. Add Files-Excluded.
* [10d0d29] Remove some not-needed files.
* [9c04edf] Imported Upstream version 2.5.2+dfsg
* [b8e8aee] Remove deprecated conflicts/replaces in control file.
* [73ab38a] Add autotest.
2014-03-01 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.1+dfsg-1) unstable; urgency=medium
* [dfdaa3a] Imported Upstream version 2.5.1+dfsg
2014-02-04 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.0+dfsg-1) unstable; urgency=medium
* [ce7c0ab] Add script to remove non-free files. (Closes: #736956)
* [3502738] Imported Upstream version 2.5.0+dfsg
2013-12-28 - Anton Gladky <gladk@debian.org>
libqglviewer (2.5.0-1) unstable; urgency=medium
* [f80a053] Imported Upstream version 2.5.0
* [c07abbe] Use wrap-and-sort.
* [89d8250] Remove google adsense-scripts.
* [4224be5] Set Standards-Versions: 3.9.5. No changes.
2013-10-06 - Anton Gladky <gladk@debian.org>
libqglviewer (2.4.0-1) unstable; urgency=low
* [1bf1ca4] Remove Artur from uploaders.
* [c81b1f0] Imported Upstream version 2.4.0
* [26c8367] Remove old patches.
* [4d91989] Remove NEWS file.
* [e2b0605] Use canonical VCS-field.
* [d6e9d00] Use packaged jquery instead of embedded.
* [1ad26fd] Clean and simplify debian/rules. (Closes: #724108)

See Also

Package Description
libqgpgme1_4.14.2-2+deb8u2_amd64.deb library for GpgME++ integration with Qt
libqgpsmm-dev_3.11-3_amd64.deb Global Positioning System - Qt wrapper for libgps (development)
libqgpsmm21_3.11-3_amd64.deb Global Positioning System - Qt wrapper for libgps
libqgsttools-p1_5.3.2-5_amd64.deb GStreamer tools for Qt 5 Multimedia module
libqhull-dev_2012.1-5_amd64.deb calculate convex hulls and related structures (development files)
libqhull-doc_2012.1-5_all.deb calculate convex hulls and related structures (documentation files)
libqhull6_2012.1-5_amd64.deb calculate convex hulls and related structures (shared library)
libqimageblitz-dev_0.0.6-4_amd64.deb development files for the QImageBlitz image effects library
libqimageblitz4_0.0.6-4_amd64.deb QImageBlitz image effects library
libqjson-dev_0.8.1-3_amd64.deb Qt-based library that maps JSON data to QVariant objects - development files
libqjson0_0.8.1-3_amd64.deb Qt-based library that maps JSON data to QVariant objects
libqmfclient1_1.0.7~2011w23.2-2.1_amd64.deb Qt Messaging Framework (QMF) client library
libqmfmessageserver1_1.0.7~2011w23.2-2.1_amd64.deb Qt Messaging Framework (QMF) message server support library
libqmfutil1_1.0.7~2011w23.2-2.1_amd64.deb Qt Messaging Framework (QMF) messaging client utility library
libqmi-glib-dev_1.10.2-2_amd64.deb Header files for adding QMI support to applications that use glib
Advertisement
Advertisement